List leads
curl --request GET \
--url https://app.voxial.pt/api/user/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.voxial.pt/api/user/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.voxial.pt/api/user/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567899",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04"
}
]
}
],
"first_page_url": "https://app.voxial.pt/api/user/leads?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://app.voxial.pt/api/user/leads?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.voxial.pt/api/user/leads?page=1",
"label": "1",
"active": true
},
{
"url": "https://app.voxial.pt/api/user/leads?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://app.voxial.pt/api/user/leads?page=2",
"path": "https://app.voxial.pt/api/user/leads",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
Leads
List leads
List all leads for the authenticated user with filtering and pagination options
GET
/
user
/
leads
List leads
This endpoint allows you to list all leads belonging to the authenticated user with various filtering and pagination options.
Query Parameters
string
Filter leads by status. Possible values:
created, scheduled, processing, completed, rescheduled, reached-max-retries, blacklistedinteger
Filter leads by campaign ID
string
Filter leads by phone number (partial match supported)
string
Filter leads created from this date (YYYY-MM-DD format)
string
Filter leads created until this date (YYYY-MM-DD format)
integer
Number of leads per page (1-100, default: 15)
integer
Page number (default: 1)
Response fields
array
Show properties
Show properties
integer
The id of the lead
integer
The ID of the campaign this lead belongs to
string
The phone number of the lead in E.164 format
object
The variables associated with the lead
string
The status of the lead
string
The created at date of the lead
string
The updated at date of the lead
object
array
Array of secondary contact leads associated with this lead
Show secondary_contacts properties
Show secondary_contacts properties
integer
The id of the secondary contact lead
string
The phone number of the secondary contact in E.164 format
object
The variables associated with the secondary contact
string
The status of the secondary contact
string
The created at date of the secondary contact
string
The updated at date of the secondary contact
integer
The current page number
integer
Number of items per page
integer
Total number of leads matching the criteria
integer
The last page number
{
"current_page": 1,
"data": [
{
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567899",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04"
}
]
}
],
"first_page_url": "https://app.voxial.pt/api/user/leads?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://app.voxial.pt/api/user/leads?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.voxial.pt/api/user/leads?page=1",
"label": "1",
"active": true
},
{
"url": "https://app.voxial.pt/api/user/leads?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://app.voxial.pt/api/user/leads?page=2",
"path": "https://app.voxial.pt/api/user/leads",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
⌘I

